pandoc-1.19.2.4: Conversion between markup formats

Copyright | Copyright (C) 2006-2015 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell98

Text.Pandoc.Readers.Markdown

Description

Conversion of markdown-formatted plain text to `Pandoc` document.

Synopsis

- readMarkdown :: ReaderOptions -> String -> Either PandocError Pandoc
- readMarkdownWithWarnings :: ReaderOptions -> String -> Either PandocError (Pandoc, [String])

# Documentation

readMarkdown Source #

Arguments

:: ReaderOptions | Reader options
-> String | String to parse (assuming `'\n'` line endings)
-> Either PandocError Pandoc |

Read markdown from an input string and return a Pandoc document.

readMarkdownWithWarnings Source #

Arguments

:: ReaderOptions | Reader options
-> String | String to parse (assuming `'\n'` line endings)
-> Either PandocError (Pandoc, [String]) |

Read markdown from an input string and return a pair of a Pandoc document and a list of warnings.